import {FlexGrid} from "@grapecity/wijmo.grid";

document.readyState === 'complete' ? initSampleUebersicht() : window.addEventListener('load', initSampleUebersicht);

class SampleGrid extends FlexGrid {

    public name: string
    constructor(element, props = {}) {
        super(element, props);
        this.name = "Sample"
    }

}


function initSampleUebersicht() {

    console.log("Init sample.")
    const element = document.querySelector("#flexGrid")
    console.log("Element: ", element)
    const grid = new SampleGrid(element, {
        isReadOnly: true,
        columns: [
            { binding: 'id', header: 'ID', width: 70, isReadOnly: true }
            ],
    })

    grid.itemsSource = [{
        id: "1234"
    }]

    console.log("Name: " + grid.name)
}